package movies

import (
	"fmt"
	"os"
	"testing"
)

func TestFileSource(t *testing.T) {
	fs := &FileSource{ID: "dummy fs"}

	if err := fs.Scan(os.Getenv("FILE_ROOT")); err != nil {
		t.Fatal(err)
	}

	fmt.Println(len(fs.Files))
	for _, res := range fs.Search("game of thrones s02e06") {
		fmt.Println(res)
	}
}
