package movies

import "encoding/json"

type List struct {
	ID          string
	Title       string
	Description string
	Movies      []string // IMDBIDs
}

func UnmarshalList(b []byte) (*List, error) {
	var l List
	if err := json.Unmarshal(b, &l); err != nil {
		return nil, err
	}

	return &l, nil
}
